import { defineComponent } from 'vue'
import styles from './member-active.module.less'
import p1 from './images/active/1.png'
import p2 from './images/active/2.png'
import p3 from './images/active/3.png'
import btn from './images/active/btn.png'
import { useRouter } from 'vue-router'

export default defineComponent({
  setup() {
    const router = useRouter()

    const onDetail = () => {
      router.push('/memberCenter')
    }

    return () => (
      <div class={styles.memberActive}>
        <img src={p1} />
        <img src={p2} />
        <img src={p3} />

        <div class={styles.memberBtn}>
          <img src={btn} onClick={onDetail} />
        </div>
      </div>
    )
  }
})
